#ifndef _OPENDRIVE_ARC_H
#define _OPENDRIVE_ARC_H

#include "opendrive_geometry.h"

class COpendriveArc : public COpendriveGeometry
{
  private:
    double curvature;
  protected:
    virtual bool transform_local_pose(TOpendriveTrackPoint &track,TOpendriveLocalPoint &local) const;
    virtual void print(std::ostream &out);
    virtual void load_params(const planView::geometry_type &geometry_info);
    virtual std::string get_name(void);
  public:
    COpendriveArc();
    COpendriveArc(double min_s, double max_s, double x, double y, double heading, double curvature);
    COpendriveArc(const COpendriveArc &object);
    virtual COpendriveGeometry *clone(void);
    double get_curvature(void);
    void operator=(const COpendriveArc &object);
    ~COpendriveArc();
};

#endif
