#ifndef _OPENDRIVE_PARAMPOLY3_H
#define _OPENDRIVE_PARAMPOLY3_H

#include "opendrive_geometry.h"

typedef struct
{
  double a;
  double b;
  double c;
  double d;
}TOpendrivePoly3Params;

class COpendriveParamPoly3 : public COpendriveGeometry
{
  private:
    TOpendrivePoly3Params u;
    TOpendrivePoly3Params v;
    bool normalized;
  protected:
    virtual bool transform_local_pose(TOpendriveTrackPoint &track,TOpendriveLocalPoint &local) const;
    virtual void print(std::ostream &out);
    virtual void load_params(const planView::geometry_type &geometry_info);
    virtual std::string get_name(void);
  public:
    COpendriveParamPoly3();
    COpendriveParamPoly3(double min_s, double max_s, double x, double y, double heading,TOpendrivePoly3Params &u,TOpendrivePoly3Params &v,bool normalized);
    COpendriveParamPoly3(const COpendriveParamPoly3 &object);
    virtual COpendriveGeometry *clone(void);
    TOpendrivePoly3Params get_u_params(void);
    TOpendrivePoly3Params get_v_params(void);
    bool is_normalized(void);
    void operator=(const COpendriveParamPoly3 &object);
    ~COpendriveParamPoly3();
};

#endif
