#ifndef _OPENDRIVE_SPIRAL_H
#define _OPENDRIVE_SPIRAL_H

#include "opendrive_geometry.h"

class COpendriveSpiral : public COpendriveGeometry
{
  private:
    double start_curvature;
    double end_curvature;
  protected:
    virtual bool transform_local_pose(TOpendriveTrackPoint &track,TOpendriveLocalPoint &local) const;
    virtual void print(std::ostream &out);
    virtual void load_params(const planView::geometry_type &geometry_info);
    virtual std::string get_name(void);
  public:
    COpendriveSpiral();
    COpendriveSpiral(double min_s, double max_s, double x, double y, double heading,double start_curv,double end_curv);
    COpendriveSpiral(const COpendriveSpiral &object);
    virtual COpendriveGeometry *clone(void);
    double get_start_curvature(void);
    double get_end_curvature(void);
    void operator=(const COpendriveSpiral &object);
    ~COpendriveSpiral();
};

#endif
