#include "opendrive_line.h"

COpendriveLine::COpendriveLine()
{

}

COpendriveLine::COpendriveLine(double min_s, double max_s, double x, double y, double heading) : COpendriveGeometry(min_s,max_s,x,y,heading)
{

}

COpendriveLine::COpendriveLine(const COpendriveGeometry &object) : COpendriveGeometry(object)
{

}

bool COpendriveLine::transform_local_pose(TOpendriveTrackPoint &track,TOpendriveLocalPoint &local) const
{
  local.u=track.s-this->min_s/this->scale_factor;
  local.v=track.t;
  local.heading=track.heading;

  return true;
}

void COpendriveLine::print(std::ostream &out)
{
  COpendriveGeometry::print(out);
}

std::string COpendriveLine::get_name(void)
{
  return std::string("line");
}

void COpendriveLine::load_params(const planView::geometry_type &geometry_info)
{

}

COpendriveGeometry *COpendriveLine::clone(void)
{
  COpendriveLine *new_line=new COpendriveLine(*this);

  return new_line;
}

void COpendriveLine::operator=(const COpendriveLine &object)
{
  COpendriveGeometry::operator=(object);
}

COpendriveLine::~COpendriveLine()
{

}

